olivercederborg/poimandres.nvim

github github
tree-sitter-supported-colorscheme
star 45
stars
alert-circle 1
open issues
users 2
subscribers
git-branch 4
forks
CREATED

2022-07-16

UPDATED

19 days ago


Neovim theme based on the poimandres vscode theme, written in Lua with treesitter support.

All variants of the theme will be available for use.

Poimandres Golang

Lua

Poimandres Lua

TypeScript

Poimandres TypeScript

Golang

Poimandres Golang

Plugin Support

More plugins will be supported as I personally need it, or when it is requested.

📦 Installation

Install with packer:

-- Lua

use { 
  'olivercederborg/poimandres.nvim',
  config = function()
    require('poimandres').setup {
      -- leave this setup function empty for default config
      -- or refer to the configuration section
      -- for configuration options
    }
  end
}

Install with vim-plug:

" Vim Script

Plug 'olivercederborg/poimandres.nvim'

lua << EOF
  require('poimandres').setup {
    " leave this setup function empty for default config
    " or refer to the configuration section
    " for configuration options
  }
EOF

🚀 Usage

Enable the colorscheme:

-- Lua

vim.cmd('colorscheme poimandres')
" Vim Script

colorscheme poimandres

⚙️ Configuration:

Setup function options:

require('poimandres').setup {
  bold_vert_split = false, -- use bold vertical separators
  dim_nc_background = false, -- dim 'non-current' window backgrounds
  disable_background = false, -- disable background
  disable_float_background = false, -- disable background for floats
  disable_italics = false, -- disable italics
}

To enable Poimandres for Lualine, just set the theme in your Lualine configuration:

require('lualine').setup {
  options = {
    -- ... your lualine config
    theme = 'poimandres'
    -- ... your lualine config
  }
}

Extra

There's extra configuration files for the following tools:

Contributions

Feel free to help improving the color scheme by opening issues and PRs with features, fixes or changes.

Hyper theme

hyper i hyper-pmndrs